Retrieve revocation list
Retrieves a JSON credential revocation list by providing its ID.
This endpoint is intended for public consumption, and as such does not require authentication.
id*stringRevocation list ID. This value can be found within the credential you created. Look at the value for Credential.credential.credentialStatus.id, the string after https://tenant.vii.mattr.global/v1/revocation-lists/ is what you're looking for
uuidRevocation list retrieved
application/json- response
id?stringThe identifier of the credential.
@context*array<>type*array<>issuer?|Includes Issuer id (DID), domain name and optional branding properties.
credentialBranding?Includes optional credential branding properties.
issuanceDate*stringdate-timecredentialStatus?Credential status location information
credentialSubject*The claims about the subject. The properties below are illustrative; the actual claims are determined by the credential's @context and type.
proof*The cryptographic proof over the credential. The exact properties depend on the signature suite, which is determined by the key the credential was signed with. Ed25519 and RSA proofs carry jws; BBS+ proofs carry proofValue instead and support selective disclosure.
name?stringName of the credential (requires v2 data model)
description?stringDescription of the credential (requires v2 data model)
curl -X GET "https://example.com/v2/credentials/web-semantic/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3"{ "id": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3", "@context": [ "https://www.w3.org/2018/credentials/v1", "https://w3id.org/vc-revocation-list-2020/v1" ], "type": [ "VerifiableCredential", "RevocationList2020Credential" ], "issuer": "did:web:organization.com", "issuanceDate": "2020-05-02T12:06:29.156Z", "credentialSubject": { "type": "RevocationList2020", "encodedList": "H4sIAAAAAAAAA-3BMQEAAADCoPVPbQwfoAAAAAAAAAAAAAAAAAAAAIC3AYbSVKsAQAAA" }, "proof": { "type": "Ed25519Signature2018", "created": "2020-05-02T12:06:29Z", "jws": "EXAMPLE_JWS_TOKEN_eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c", "proofPurpose": "assertionMethod", "verificationMethod": "did:web:organization.com#CU6dJt9p8t" }}How would you rate this page?
Retrieve credential revocation status GET
Returns the revocation status of the credential matching the provided ID.
Create a revocation message payload POST
Returns a message in JWM format that can be used to notify subjects based on their credential revocation status change. To send a notification to the Subject DID holder, use the returned payload with the [encrypt](#operation/encryptMessage) and [send](#operation/sendMessage) endpoints.